package com.bocloud.ims.interfaces.resource;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.TenantProvider;

import java.util.List;

public interface VendorProjectService {

	BocloudResult handle(Long tenantId, List<Long> poolIds, RequestContext context);

	BocloudResult deleteByTenant(Long tenantId);

	TenantProvider getAncestorProject(Long vendorId, Long tenantId);
}
